OpenJPEG 2.5.4

cidx_manager.h
Go to the documentation of this file.
1/*
2 * $Id: cidx_manager.h 897 2011-08-28 21:43:57Z Kaori.Hagihara@gmail.com $
3 *
4 * Copyright (c) 2002-2014, Universite catholique de Louvain (UCL), Belgium
5 * Copyright (c) 2002-2014, Professor Benoit Macq
6 * Copyright (c) 2003-2004, Yannick Verschueren
7 * Copyright (c) 2010-2011, Kaori Hagihara
8 * All rights reserved.
9 *
10 * Redistribution and use in source and binary forms, with or without
11 * modification, are permitted provided that the following conditions
12 * are met:
13 * 1. Redistributions of source code must retain the above copyright
14 * notice, this list of conditions and the following disclaimer.
15 * 2. Redistributions in binary form must reproduce the above copyright
16 * notice, this list of conditions and the following disclaimer in the
17 * documentation and/or other materials provided with the distribution.
18 *
19 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS `AS IS'
20 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
21 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
22 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
23 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
24 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
25 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
26 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
27 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
28 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
29 * POSSIBILITY OF SUCH DAMAGE.
30 */
31
35
36
37#ifndef CIDX_MANAGER_H_
38# define CIDX_MANAGER_H_
39
40#include "openjpeg.h"
41
42
43/*
44 * Write Codestream index box (superbox)
45 *
46 * @param[in] offset offset of j2k codestream
47 * @param[in] cio file output handle
48 * @param[in] image image data
49 * @param[in] cstr_info codestream information
50 * @param[in] j2klen length of j2k codestream
51 * @return length of cidx box
52 */
53 int opj_write_cidx(int offset, opj_stream_private_t *cio,
54 opj_codestream_info_t cstr_info, int j2klen,
55 opj_event_mgr_t * p_manager);
56
57/*
58 * Check if EPH option is used
59 *
60 * @param[in] coff offset of j2k codestream
61 * @param[in] markers marker information
62 * @param[in] marknum number of markers
63 * @param[in] cio file output handle
64 * @return true if EPH is used
65 */
66 OPJ_BOOL opj_check_EPHuse(int coff, opj_marker_info_t *markers, int marknum,
67 opj_stream_private_t *cio,
68 opj_event_mgr_t * p_manager);
69
70#endif /* !CIDX_MANAGER_H_ */
opj_check_EPHuse
OPJ_BOOL opj_check_EPHuse(int coff, opj_marker_info_t *markers, int marknum, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
Definition cidx_manager.c:233
opj_write_cidx
int opj_write_cidx(int offset, opj_stream_private_t *cio, opj_codestream_info_t cstr_info, int j2klen, opj_event_mgr_t *p_manager)
Definition cidx_manager.c:50
opj_stream_private_t
struct opj_stream_private opj_stream_private_t
Byte input-output stream.
opj_event_mgr_t
struct opj_event_mgr opj_event_mgr_t
Message handler object used for.
openjpeg.h
opj_codestream_info_t
struct opj_codestream_info opj_codestream_info_t
Index structure of the codestream.
opj_marker_info_t
struct opj_marker_info opj_marker_info_t
Marker structure.
OPJ_BOOL
int OPJ_BOOL
Definition openjpeg.h:116